Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rescue_funcall_args Struct Reference

## Data Fields
VALUE | defined_class
VALUE | recv
ID | mid
rb_execution_context_t * | ec
const rb_method_entry_t * | me
unsigned int | respond: 1
unsigned int | respond_to_missing: 1
int | argc
const VALUE * | argv
int | kw_splat

## Detailed Description

Definition at line 395 of file vm_eval.c.

## Field Documentation

## ◆ argc

int rescue_funcall_args::argc

Definition at line 403 of file vm_eval.c.

## ◆ argv

const VALUE* rescue_funcall_args::argv

Definition at line 404 of file vm_eval.c.

## ◆ defined_class

VALUE rescue_funcall_args::defined_class

Definition at line 396 of file vm_eval.c.

## ◆ ec

rb_execution_context_t* rescue_funcall_args::ec

Definition at line 399 of file vm_eval.c.

Referenced by rb_check_funcall_with_hook_kw().

## ◆ kw_splat

int rescue_funcall_args::kw_splat

Definition at line 405 of file vm_eval.c.

Referenced by rb_funcallv_kw(), and rb_funcallv_public_kw().

## ◆ me

const rb_method_entry_t* rescue_funcall_args::me

Definition at line 400 of file vm_eval.c.

## ◆ mid

ID rescue_funcall_args::mid

Definition at line 398 of file vm_eval.c.

Referenced by rb_check_funcall_with_hook().

## ◆ recv

VALUE rescue_funcall_args::recv

Definition at line 397 of file vm_eval.c.

Referenced by rb_check_funcall_with_hook(), and rb_check_funcall_with_hook_kw().

## ◆ respond

unsigned int rescue_funcall_args::respond

Definition at line 401 of file vm_eval.c.

Referenced by rb_check_funcall_with_hook_kw().

## ◆ respond_to_missing

unsigned int rescue_funcall_args::respond_to_missing

Definition at line 402 of file vm_eval.c.

The documentation for this struct was generated from the following file:

- vm_eval.c